# node-arse: Callbackified assertions

`node-arse` is a wrapper around the standard *node* `assert` library. Instead of
raising exceptions, `node-arse` takes a callback as a final, required argument
and calls this instead. The callback is only called when an assertion does not
hold.

Also extends `assert` by adding a few more [assertion functions](http://devioustree.github.com/node-arse/#section-7).

## Requirements

* Node v0.2.0+ (it will almost certainly work with earlier versions but I can't 
be bothered to test)

## API

    var arse = require('./path/to/node-arse')
    var logError = function(err) {
        console.log(err);
    }
    
    if (arse.equal(actualValue, expectedValue, logError)) {
        doNiceThing();
    }
    
    // Also takes an optional message argument (like `node.assert`)
    if (arse.equal(actualValue, expectedValue, 'Danger danger!', logError)) {
        doNiceThing()
    }
